{***************************************************************
 *
 * Unit Name: Not available
 * Purpose  :
 * Author   :
 * History  :
 *
 ****************************************************************}

program Qrprint;

uses
    Forms,
    Sysutils,
    QRExtra,
    PrevUtility in 'PrevUtility.pas';

{$R *.RES}

var
    qrh             : TQRPHandler;
begin

    QRPrintSetupRegistry;

    if paramstr( 1 ) <> EmptyStr then sFileReport := paramstr( 1 );
    if ( UpperCase( paramstr( 2 ) ) = '/P' ) then sPreview := false;
    if sFileReport = EmptyStr then sFileReport := LoadRep;

    qrh := TQRPHandler.Create;
    try
        with qrh do begin
            Filename := sFileReport;
            if sPreview then begin
                Preview;
                qrh.Free;
                qrh := nil;
            end
            else
                print;
        end;

    finally
        //Free
    end;
end.

